• 全部
  • Windows SDK/API
  • 基础类
  • ActiveX
  • 数据库及相关技术
  • 网络及通讯开发
  • VCL组件使用和开发
  • 问答

急......ADO的版本问题?

COKING 2003-01-01 07:14:14
ADO版本2.6以上,BCB5,SQL7,对数据处理时总是出错又没法抓,导致程序崩溃。
例如:打开一空表,不做任何操作就再关闭,则100%出错,“什么记录Eof or Bof 来的”
原来2.5版运行的很好的,可客户是XP系统,自带的ADO是2.7,所以就死翘翘了。
大家请帮忙了,很急的,先谢了。。。
BCB6怎么样呢?
...全文
10 点赞 收藏 7
写回复
7 条回复
切换为时间正序
当前发帖距今超过3年,不再开放新的回复
发表回复
wangxd 2003-01-01
bcb5只要打了ado的补丁就行了,cb6没这个毛病
回复
yuyulily 2003-01-01
打上补丁就没有这个问题了。先装企业补丁,然后装ADO的补丁
回复
whitelion 2003-01-01
以前用bde开发程序,经常要first,last一次才能正常运行,否则出错
不知ado是不是也有类似的问题

另:5.0的是要装补丁的
回复
cmsoft 2003-01-01
企业版补丁和ado补丁

ftp://ftpc.borland.com/pub/bcppbuilder/devsupport/patches/bcpp5/BCB5ADOUpgrade1.exe


ftp://ftpc.inprise.com/pub/bcppbuilder/devsupport/patches/bcpp5/BCB5EntUpdate1.exe

先装企业补丁,然后装ADO的补丁
回复
wenroudishasini 2003-01-01
看看啊
回复
COKING 2003-01-01
ADO的补丁? 何处?
回复
Libran 2003-01-01
ADO版本怎么样咱不清楚,不过CB5是要打ADO的补丁的
回复
相关推荐
发帖
C++ Builder
创建于2007-08-02

1.3w+

社区成员

C++ Builder相关内容讨论区
申请成为版主
帖子事件
创建了帖子
2003-01-01 07:14
社区公告
暂无公告